//#define DEBUG

#include "TMDlib.h"

#include <iostream>
#include <sstream>
#include <string>  
#include <fstream>
using namespace std;
using namespace TMDlib;
/* Common Block Declarations */

extern string pdfpath;


 void TMD::PaviaTemp(double x, double kt, double p, double& up, double& ubar, double& dn, double& dbar, double& strange, double& sbar, double& charm, double& cbar, double& bottom, double& bbar, double& top, double& tbar, double& phot,  double& glu)
{
/** 
* Routine to interpolate Pavia TMDgrids and to return momentum weighted TMD parton density as function of x, kt, scale p for different flavors. 
*
* 
*/


    string filename;
    

    /* Function Body */
    if (first) {
      
      cout << " PaviaTemp: name = " << TMD_Name << " NewFormatDir " << TMD_Dir << " with member " << TMD_Mem << endl;
  
      filename=pdfpath+TMD_Dir+TMD_Name+"_"+TMD_Mem+".dat"; 


	first = false;
      }
// here the values of xTMD(x,kt,q) should be given
	glu = 9999;
	up   = 9999;
	ubar = 9999;
	dn   = 9999;
	dbar = 9999;
	strange = 9999;
	sbar  = 9999 ;
	charm = 9999;
	cbar  = 9999;
	bottom = 9999 ;
	bbar  = 9999 ;
	top   = 9999;
	tbar  = 9999;
	phot  = 9999 ;
    
    cout << " PaviaTemp  dummy " << endl;

    
    //cout << " PaviaTemp: charm " << charm << " " << cbar << " " << q2 << endl;
   // cout << " PaviaTemp: gluon = " << glu << " " << q2 << endl;
    if(up == 0 || ubar == 0) {
      //cout << " PaviaTemp: up= " << up << " ubar= "<< ubar << " " << x << " " << q2 << " " << p << endl; 
      //cout << " PaviaTemp: dn= " << dn << " dbar= "<< dbar << " " << x << " " << q2 << " " << p << endl;
    }
    //cout << " PaviaTemp x,q2,p,xpq " << x<< " " << q2 << " " << p << " "<< glu<< endl;
    if (glu > 1e6) {
	cout << " PaviaTemp x,q2,p,xpq" << x<< " " << q2 << " " << p << " "<< glu<< endl;
    }
    return ;
} 

